<!DOCTYPE html>
<html>
  <head>
    <script type="text/javascript" src="/socketcluster.js"></script>
    <script type="text/javascript">
      // Initiate the connection to the server
      var socket = socketCluster.connect();

      socket.on('error', function (err) {
        throw 'Socket error - ' + err;
      });

      socket.on('connect', function () {
        console.log('CONNECTED');
      });

      socket.on('rand', function (data) {
        console.log('RANDOM STREAM: ' + data.rand);
      });

      socket.on('failed', function (data) {
        console.log('Error: ' + data);
      });

      socket.on('success', function (data) {
        console.log('Success: ' + data);
      });

      socket.on('queueupdate', function (data) {
        console.log('Queue update: ' + data);
      });

      socket.on('loginok', function (data) {
        console.log('Login ok: ' + data);
      });

      var sampleChannel = socket.subscribe('sample');

      sampleChannel.on('subscribeFail', function (err) {
        console.log('Failed to subscribe to the sample channel due to error: ' + err);
      });

      sampleChannel.watch(function (num) {
        console.log('Sample channel message:', num);
      });
    </script>
  </head>
  <body>
  </body>
</html>
